Kampagnen-Status aktualisieren
curl --request POST \
--url https://app.famulor.de/api/user/campaigns/update-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"campaign_id": 123,
"action": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({campaign_id: 123, action: '<string>'})
};
fetch('https://app.famulor.de/api/user/campaigns/update-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/campaigns/update-status"
payload = {
"campaign_id": 123,
"action": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/campaigns/update-status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'campaign_id' => 123,
'action' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/campaigns/update-status"
payload := strings.NewReader("{\n \"campaign_id\": 123,\n \"action\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"message": "Campaign started successfully.",
"success": true,
"data": {
"campaign_id": 2324,
"status": "in-progress"
}
}
{
"message": "Campaign stopped successfully.",
"success": true,
"data": {
"campaign_id": 2324,
"status": "stopped"
}
}
{
"message": "Invalid action. Must be either 'start' or 'stop'.",
"success": false
}
{
"message": "Campaign not found.",
"success": false
}
{
"message": "Access denied - Campaign does not belong to authenticated user.",
"success": false
}
{
"message": "Insufficient balance to start the campaign. Please top up your account.",
"success": false,
"data": {
"campaign_id": 2324,
"status": "draft"
}
}
Kampagnen-Status aktualisieren
Eine Kampagne im Famulor-System starten oder stoppen
POST
/
api
/
user
/
campaigns
/
update-status
Kampagnen-Status aktualisieren
Dieser Endpunkt ermöglicht es dir, eine Kampagne im Famulor-System zu starten oder zu stoppen.
Anfrage-Body
integer
erforderlich
Die ID der zu aktualisierenden Kampagne
string
erforderlich
Die Aktion, die an der Kampagne ausgeführt werden soll. Muss entweder “start” oder “stop” sein
Antwort-Felder
string
Standard:"Campaign started successfully."
Die Nachricht der Antwort
boolean
Standard:"true"
Ob die Operation erfolgreich war
object
Hinweise
- Die Kampagne muss dem authentifizierten Benutzer gehören
- Nur Kampagnen mit gültigem Status können gestartet oder gestoppt werden
- Beim Starten einer Kampagne müssen ausreichend Leads vorhanden sein
- Das Stoppen einer Kampagne bricht laufende Anrufe ab
{
"message": "Campaign started successfully.",
"success": true,
"data": {
"campaign_id": 2324,
"status": "in-progress"
}
}
{
"message": "Campaign stopped successfully.",
"success": true,
"data": {
"campaign_id": 2324,
"status": "stopped"
}
}
{
"message": "Invalid action. Must be either 'start' or 'stop'.",
"success": false
}
{
"message": "Campaign not found.",
"success": false
}
{
"message": "Access denied - Campaign does not belong to authenticated user.",
"success": false
}
{
"message": "Insufficient balance to start the campaign. Please top up your account.",
"success": false,
"data": {
"campaign_id": 2324,
"status": "draft"
}
}
Passende Seiten: Introduction und Authentication Guide und API Integration Examples.
War diese Seite hilfreich?
⌘I

